unit uIEditorSituacionPedidoProveedor;

interface

uses
  uBizPedidosProveedor, uPedidosProveedorController;

type
  IEditorSituacionPedidoProveedor = interface
  ['{29CBF2CD-AFD5-49F6-964C-38188F15702E}']
    function GetController : IPedidosProveedorController;
    procedure SetController (const Value : IPedidosProveedorController);
    property Controller : IPedidosProveedorController read GetController
      write SetController;

    function GetPedidoProveedor: IBizPedidoProveedor;
    procedure SetPedidoProveedor(const Value: IBizPedidoProveedor);
    property PedidoProveedor: IBizPedidoProveedor read GetPedidoProveedor
      write SetPedidoProveedor;

    function ShowModal : Integer;
    procedure Release;    
  end;

implementation

end.
